<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class catalog="crov_spa" name="com.arrebol.taxiservicios.model.stocktaking.ServiceOrderNotification" table="SERVICE_ORDER_NOTIFICATION">
        <id name="id" type="string">
            <column length="36" name="id"/>
            <generator class="assigned"/>
        </id>
        <property name="title" not-null="true" type="string">
            <column length="50" name="title"/>
        </property>
        <property name="message" not-null="true" type="string">
            <column length="200" name="message"/>
        </property>
        <property name="createdOn" type="timestamp" not-null="true">
            <column length="19" name="created_on"/>
        </property>
        <property name="actionType" column="service_order_action_type" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.ServiceOrderActionType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <set name="serviceOrderNotificationDeliveryTos" table="service_order_notification_delivery_to" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="id_notification" length="36" not-null="true" />
            </key>
            <one-to-many class="com.arrebol.taxiservicios.model.stocktaking.ServiceOrderNotificationDeliveryTo" />
        </set>
    </class>
</hibernate-mapping>
